package com.nokia.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@ConfigurationProperties("task")
@Configuration
@Data
public class TaskConfig {
    /**
     * sftp ip
     */
    private String sshHost;
    /**
     * sftp端口
     */
    private Integer sshPort;
    /**
     * sftp账号
     */
    private String sshUsername;
    /**
     * sftp密码
     */
    private String sshPassword;
    /**
     * top用户数据文件夹
     */
    private String sourceDir;
    /**
     * 下载文件夹
     */
    private String downloadDir;
    /**
     * 去重文件名
     */
    private String distinctFilename;
    /**
     * 导入数据脚本路径
     */
    private String importScript;
    /**
     * 导入的数据库ip
     */
    private String dbHost;
    /**
     * 数据库端口
     */
    private Integer dbPort;
    /**
     * 数据库账号
     */
    private String dbUsername;
    /**
     * 数据库密码
     */
    private String dbPassword;
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 数据库表
     */
    private String dbTable;
    /**
     * 最小插入数据
     */
    private Long minInsertCount;
    /**
     * 超时分钟
     */
    private Long timeout;
}
